/****************************************************************/
/*                                                              */
/*      refreshdlg.h                                            */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef REFRESHDLG_H
#define REFRESHDLG_H

#include <qdialog.h>

class QLabel;
class QSpinBox;
class QCheckBox;
class KSeparator;

class RefreshDlg : public QDialog {
  Q_OBJECT
  public:
    RefreshDlg(QWidget *parent);
    ~RefreshDlg();
    void setWidgets(int tRef, bool act);
    void getValues(int *tRef, bool *act);
  private:
    QLabel *l1, *l2;
    QSpinBox *dt;
    QCheckBox *activate;
    QPushButton *ok, *cancel;
    KSeparator *hl;
};

#endif
