/****************************************************************/
/*                                                              */
/*      zoomdlg.h                                               */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef ZOOMDLG_H
#define ZOOMDLG_H

#include <qdialog.h>

class QSpinBox;
class QLabel;
class KSeparator;

class ZoomDlg : public QDialog {
  Q_OBJECT
  public:
    ZoomDlg(QWidget *parent);
    ~ZoomDlg();
    QSpinBox *factor;
  private:
    QLabel *l1, *l2;
    QPushButton *ok, *cancel;
    KSeparator *hl;
};

#endif
